import datetime
import pytest
import teamanalysis.time

@pytest.mark.parametrize('when, expected', [
    (datetime.datetime(2015, 7, 30, 20, 35, 35, 784435), datetime.datetime(2015, 7, 27, 0, 0, 0, 1)),
    (datetime.datetime(2015, 1, 3, 2, 5, 5, 7835), datetime.datetime(2014, 12, 29, 0, 0, 0, 1)),
    (datetime.datetime(2015, 1, 5, 2, 5, 5, 7835), datetime.datetime(2015, 1, 5, 0, 0, 0, 1)),
])
def test_checkpoint(when, expected):
    start, end = teamanalysis.time.get_checkpoint(when)
    assert start == expected
    assert end == start + datetime.timedelta(days=7)

